Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1464 - termcap.h: No such file or directory
Summary: termcap.h: No such file or directory
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-10 01:15 UTC by carlo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-19 00:09:42 UTC


Attachments (Terms of Use)

Description carlo 1999-03-10 01:15:41 UTC
make[1]: Entering directory
`/usr/src/BUILD/gdb-4.17/readline'
gcc -c -O2 -g   -D_POSIX_VERSION -I. -I./../
-DVOID_SIGHANDLER -DVI_MODE readli
ne.c
In file included from readline.c:50:
rldefs.h:65: termcap.h: No such file or directory

People that do not have termcap, but have ncurses, need
to include <ncurses/termcap.h> instead.

ncurses is the prefered a replacement of termcap and curses
imho. Source code should be written for ncurses in the first
place :)

Comment 1 carlo 1999-03-10 01:42:59 UTC
It seems that gdb isn't supporting ncurses at all.
I have to manually change gdb/Makefile to use TERMCAP=-lncurses
instead of -ltermcap.  That together with adding
-I/usr/include/ncurses to CFLAGS makes it compile flawlessly.

I used gdb-4.17.0.11.spec which isn't written by RedHat I think,
but I suppose this problem is also in older versions.

You can find this spec easily with a ftp search engine.

I've found the #include <termcap.h> also in other packages
than gdb and will report them here when I run into them again.

Comment 2 Cristian Gafton 1999-03-19 00:09:59 UTC
install libtermcap-devel


Note You need to log in before you can comment on or make changes to this bug.